spec_version = "1.0.0"
canonical_name = "atoms.convergent-systems.co/catalogs/workflow-atoms"
version = "0.1.0"
atom_type = "atoms.convergent-systems.co/catalogs"
authored_by = "ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y="
created_at = "2026-05-22T03:40:32.832Z"

[signatures]
"ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y=" = "kfew0nOAzh1gs52Jq6Gd7fSm1nSDZDvtm5b7762i5+KLRCXHTS2dr3gCOe0HRx7bRXaHS82okIxhPp0z2uPtAA=="

[body]
atom_types = ["step-type", "trigger-type", "state-type", "gate-type"]
canonical_domain = "workflow-atoms.com"
catalog_name = "workflow-atoms"
catalog_version = "0.1.0"
composition_dir = "workflows"
composition_type = "workflows"
federation = "xdao.co"
github_url = "https://github.com/convergent-systems-co/workflow-atoms"
implements_spec = "atoms-spec/v1"
license = "Apache-2.0"
pages_url = "https://workflow-atoms.pages.dev"
purpose = "Workflow primitives unified across n8n, Zapier, GitHub Actions, Temporal, Airflow — step types, triggers, states, and gates composed into typed workflows with no per-tool DSL."
rule_types = ["state-transition-validity", "gate-requirement", "retry-policy"]
runtime_consumers = ["olympus"]
